## ros-galactic-dolly-gazebo 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(dolly_gazebo)

# Skip if Gazebo not present
find_package(gazebo QUIET)
if(NOT gazebo_FOUND)
  message(WARNING "Gazebo not found, proceeding without that simulator.")
  return()
endif()

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(
  DIRECTORY
    launch
    models
    rviz
    worlds
  DESTINATION
    share/${PROJECT_NAME}/
)

ament_environment_hooks("${CMAKE_CURRENT_SOURCE_DIR}/env-hooks/${PROJECT_NAME}.sh.in")
ament_environment_hooks("${CMAKE_CURRENT_SOURCE_DIR}/env-hooks/${PROJECT_NAME}.dsv.in")

ament_package()

=== debian/changelog ===
ros-galactic-dolly-gazebo (0.4.0-1focal) focal; urgency=high

  * Galactic + Edifice support
  * Contributors: Louise Poubel

 -- Louise Poubel <burajiru.no.chapulina@gmail.com>  Sun, 10 Oct 2021 07:00:00 -0000

ros-galactic-dolly-gazebo (0.3.0-1focal) focal; urgency=high

  * More detailed collision for CPU lidar (#19 <https://github.com/chapulina/dolly/issues/19>)
  * Foxy support (#18 <https://github.com/chapulina/dolly/issues/18>)
  * Ignition support (#13 <https://github.com/chapulina/dolly/issues/13>)
  * Use env hooks to set environment variables (#12 <https://github.com/chapulina/dolly/issues/12>)
    also dsv example - only used from eloquent
  * Changed gpu_ray to ray in the dolly model, to make laser_scan work on the CPU instead of a GPU. (#10 <https://github.com/chapulina/dolly/issues/10>)
  * Contributors: FrankHx9, Louise Poubel

 -- Louise Poubel <burajiru.no.chapulina@gmail.com>  Sun, 09 Aug 2020 07:00:00 -0000

ros-galactic-dolly-gazebo (0.2.0-1focal) focal; urgency=high

  * Port to Eloquent (#9 <https://github.com/chapulina/dolly/issues/9>)
    * Port to Eloquent
    * Update README
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: chapulina

 -- Louise Poubel <burajiru.no.chapulina@gmail.com>  Mon, 06 Jan 2020 08:00:00 -0000

ros-galactic-dolly-gazebo (0.1.1-1focal) focal; urgency=high

  * First Dolly release
  * Contributors: chapulina

 -- Louise Poubel <burajiru.no.chapulina@gmail.com>  Mon, 06 Jan 2020 08:00:00 -0000

=== debian/control ===
Source: ros-galactic-dolly-gazebo
Section: misc
Priority: optional
Maintainer: Louise Poubel <burajiru.no.chapulina@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-dolly-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-dolly-follow, ros-galactic-gazebo-ros-pkgs, ros-galactic-ros2launch, ros-galactic-rviz2, ros-galactic-ros-workspace
Description: Launch Gazebo simulation with Dolly robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-dolly-gazebo//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
